512e58efcf119a881c7d9c9a6d144c744d145a3e
[openwrt/openwrt.git] / target / linux / generic / hack-5.4 / 250-netfilter_depends.patch
1 From: Felix Fietkau <nbd@nbd.name>
2 Subject: hack: net: remove bogus netfilter dependencies
3
4 lede-commit: 589d2a377dee27d206fc3725325309cf649e4df6
5 Signed-off-by: Felix Fietkau <nbd@nbd.name>
6 ---
7 net/netfilter/Kconfig | 2 --
8 1 file changed, 2 deletions(-)
9
10 --- a/net/netfilter/Kconfig
11 +++ b/net/netfilter/Kconfig
12 @@ -240,7 +240,6 @@ config NF_CONNTRACK_FTP
13
14 config NF_CONNTRACK_H323
15 tristate "H.323 protocol support"
16 - depends on IPV6 || IPV6=n
17 depends on NETFILTER_ADVANCED
18 help
19 H.323 is a VoIP signalling protocol from ITU-T. As one of the most
20 @@ -1100,7 +1099,6 @@ config NETFILTER_XT_TARGET_SECMARK
21
22 config NETFILTER_XT_TARGET_TCPMSS
23 tristate '"TCPMSS" target support'
24 - depends on IPV6 || IPV6=n
25 default m if NETFILTER_ADVANCED=n
26 ---help---
27 This option adds a `TCPMSS' target, which allows you to alter the